Page MenuHomePhabricator

Copy uploads not working for https://www.bollywoodhungama.com
Closed, ResolvedPublic

Description

Showing copy uploads are not available from this domain when trying to upload from www.bollywoodhungama.com.

See T203363 for reference.

Event Timeline

Jony created this task.Oct 14 2019, 9:50 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2019, 9:50 AM
Zoranzoki21 added a subscriber: Zoranzoki21.

In configuration was added wrong domain, I will fix this.

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptOct 14 2019, 10:06 AM

Change 542891 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Fix wrong domain in wgCopyUploadDomains added in T203363

https://gerrit.wikimedia.org/r/542891

Change 542891 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix wrong domain in wgCopyUploadDomains added in T203363

https://gerrit.wikimedia.org/r/542891

Zoranzoki21 closed this task as Resolved.Oct 14 2019, 11:31 AM

Should works now. If still you have problem, please reopen task.

Mentioned in SAL (#wikimedia-operations) [2019-10-14T11:33:45Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: a295cc7: Fix wrong domain in wgCopyUploadDomains added in T203363 (T235415) (duration: 00m 51s)

Jony added a comment.Oct 14 2019, 5:30 PM

@Zoranzoki21 unable to upload, because www.bollywoodhungama.com have no any file format in the url, like .jpg or .png. even there is no programming filename extensions also like .php or .html.

@Zoranzoki21 unable to upload, because www.bollywoodhungama.com have no any file format in the url, like .jpg or .png. even there is no programming filename extensions also like .php or .html.

Really?

Jony reopened this task as Open.EditedMay 10 2020, 3:38 AM

Hi @Zoranzoki21, could you please make the domain in wgCopyUploadDomains as *.bollywoodhungama.in or *.bollywoodhungama.*. hope this will work well. We got another URL that could be use for copy uploads. Example: https://stat2.bollywoodhungama.in/wp-content/uploads/2020/03/Photos-Shama-Sikander-snapped-at-a-medical-shop-4.jpg Thanks!

Zoranzoki21 added a comment.EditedMay 10 2020, 11:56 AM

In patch I changed .in to .com

Maybe I should just add *.bollywoodhungama.in because *.bollywoodhungama.* won't work.

What you think @Jony?

(CC'ing @Urbanecm just to confirm this).

Both should work, according to my understanding of the code. However, I'd prefer not whitelisting the TLD part - as it's not guaranteed the domain exists in all TLDs. If multiple TLDs are needed, just add multiple whitelist lines.

Jony added a comment.May 10 2020, 2:05 PM

@Zoranzoki21 as @Urbanecm said you can try that. However, if that couldn't then add multiple lines *.bollywoodhungama.in and *.bollywoodhungama.com Thanks.

I said it works technically - not that it's preferred. I'm in favor of explicitly adding those two lines.

Change 595610 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] wgCopyUploadDomains: Partial revert of I30a4b8c9bb9c1240d7e7422446af55ad50c41e70 to make upload working from bollywoodhungama.*

https://gerrit.wikimedia.org/r/595610

Will be deployed in next few minutes.

Change 595610 merged by jenkins-bot:
[operations/mediawiki-config@master] wgCopyUploadDomains: Partial revert of I30a4b8c9bb9c1240d7e7422446af55ad50c41e70 to make upload working from bollywoodhungama.*

https://gerrit.wikimedia.org/r/595610

Zoranzoki21 closed this task as Resolved.May 11 2020, 7:00 PM

Should work now.

Jony awarded a token.May 12 2020, 11:51 AM